Subject: Re: bug#37347: 'guix environment' fails after trying to follow the steps from "Running Guix Before It Is Installed" page

From: Marius Bakke <[email-masked]>
Date: Sat, 05 Oct 2019 14:58:25 +0200

Bengt Richter <[email-masked]> writes:

> On +2019-10-04 09:15:56 +0200, Jelle Licht wrote:
>> Bengt Richter <[email-masked]> writes:
>> 
>> > [snip]
>> > ...
>> > [19:40 ~/bs]$ ping guix.gnu.org
>> > ping: guix.gnu.org: Name or service not known
>> I actually have this sometimes as well. Are you on a less-than-stellar
>> WiFi-connection perhaps? I noticed the default (nscd?) configuration on
>> Guix systems caches 'negative' results for quite a while.
>> 
>> Could you try this command again after issuing:
>> `sudo herd invalidate nscd hosts'?
>> 
>> HTH!
>> - Jelle
>
> Hi Jelle, thanks for your reply.
>
> I am a grateful courtesy guest sharer of internet access in
> a small office complex via cat5 to their switches, so it should
> not be a WiFi problem.
>
> I get DNS automatically along with ip from their server dhcp,
> but I have other options I could explore.
>
> I can't try the herd command right now, as I am in strictly "foreign"
> mode at the moment.

If you are using systemd, perhaps you are hitting
<https://github.com/systemd/systemd/issues/9867>?

Does it work if you create /etc/resolv.conf with a "nameserver x.x.x.x"
entry?